Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.models.mixture
Enum AbstractMixtureModel.Parameterization

    java.lang.Object
      java.lang.Enum<AbstractMixtureModel.Parameterization>
          de.jstacs.models.mixture.AbstractMixtureModel.Parameterization

All Implemented Interfaces:
  Serializable, Comparable<AbstractMixtureModel.Parameterization>

Enclosing class:
  AbstractMixtureModel

    public static enum AbstractMixtureModel.Parameterization

extends Enum<AbstractMixtureModel.Parameterization>

This `enum` defines the different types of parameterization for a probability that can be used in an `AbstractMixtureModel`.

Author:
  Jens Keilwagen

Enum Constant Summary
`LAMBDA` This value indicates that the component probabilities will be parameterized as `\lambda_c = \log p(c)`.
`THETA` This value indicates that the component probabilities will be parameterized as `\theta_c = p(c)`.

Method Summary
`static AbstractMixtureModel.Parameterization` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractMixtureModel.Parameterization[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### THETA

    public static final AbstractMixtureModel.Parameterization THETA

  This value indicates that the component probabilities will be parameterized as `\theta_c = p(c)`.

### LAMBDA

    public static final AbstractMixtureModel.Parameterization LAMBDA

  This value indicates that the component probabilities will be parameterized as `\lambda_c = \log p(c)`.

Method Detail

### values

    public static final AbstractMixtureModel.Parameterization[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AbstractMixtureModel.Parameterization c : AbstractMixtureModel.Parameterization.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AbstractMixtureModel.Parameterization valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD